VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "AttachedPropertiesTest"
   ClientHeight    =   2220
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3375
   LinkTopic       =   "Form1"
   ScaleHeight     =   2220
   ScaleWidth      =   3375
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton Command1 
      Caption         =   "Command1"
      Height          =   1455
      Left            =   600
      TabIndex        =   0
      Top             =   600
      Width           =   2655
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private seApp As SolidEdgeFramework.Application
Private seDoc As SolidEdgePart.SheetMetalDocument
Private oHLSet As SolidEdgeFramework.HighlightSet


Private Sub Command1_Click()
Const csPropertieTableName As String = "CAM"
    Dim oDoc As SolidEdgePart.PartDocument
Set seApp = GetObject(, "SolidEdge.Application")

    Set oDoc = seApp.ActiveDocument
    If Not oDoc Is Nothing Then
        Dim oFace As SolidEdgeGeometry.Face
        Dim oAttPropTable As SolidEdgePart.AttachedPropertyTable
        Dim oAttPropTableFB As SolidEdgePart.AttachedPropertyTable
        Dim iFilter(1 To 1) As SolidEdgePart.PropertyFilterTypeConstants 'System.Array
        Dim aObject(1 To 1) As Object  'System.Array
        Dim aAttObject() As Object

        Dim oBody As SolidEdgeGeometry.Body

        For Each oAttPropTable In oDoc.AttachedPropertyTables
            If oAttPropTable.Name = csPropertieTableName Then
                Set oAttPropTableFB = oAttPropTable
                Exit For
            End If
        Next
        
        Dim oModel As SolidEdgePart.Model
        Dim oExtrudedCutout As SolidEdgePart.ExtrudedCutout
        
        Set oModel = oDoc.Models.Item(1)
        Set oExtrudedCutout = oModel.ExtrudedCutouts.Item(1)
        
        Set aObject(1) = oExtrudedCutout.Faces(igQueryPlane).Item(1)
        
        iFilter(1) = SolidEdgePart.PropertyFilterTypeConstants.sePropertyFilterTypeFeatureFaces

        'aObject(0) = oFace

        If oAttPropTableFB Is Nothing Then
            Dim oPropertyTableDefinition As SolidEdgePart.PropertyTableDefinition
            Dim oPropertyTableDefinitionFB As SolidEdgePart.PropertyTableDefinition

            For Each oPropertyTableDefinition In oDoc.PropertyTableDefinitions
                If oPropertyTableDefinition.Name = csPropertieTableName Then
                    Set oPropertyTableDefinitionFB = oPropertyTableDefinition
                    Exit For
                End If
            Next
            If oPropertyTableDefinitionFB Is Nothing Then
                Set oPropertyTableDefinitionFB = oDoc.PropertyTableDefinitions.Add(csPropertieTableName)
            End If
            Dim oAttTable As SolidEdgePart.AttachedPropertyTable
            
            Dim i As Integer
            i = 1
            

            Set oAttTable = oDoc.AttachedPropertyTables.Add(oPropertyTableDefinitionFB, i, iFilter, aObject, csPropertieTableName)
            Set oPropertyTableDefinition = Nothing
            Set oAttTable = Nothing
            Set oPropertyTableDefinitionFB = Nothing
        End If
    End If
End Sub

